S3 List Objects
  • 31 May 2023
  • Dark
    Light

S3 List Objects

  • Dark
    Light

Article summary

GEThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/

Returns a list of up to 1,000 objects in the bucket, sorted alphabetically by key. Use the query parameters to filter the search.

Note - S3 List Objects V2 should be used in preference to this operation, since S3 List Objects has no mechanism to page through more than 1,000 results.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

versions

Must be present to retrieve object versions

delimiter

Optional. The delimiter is used to group keys.

encoding-type

Optional. Specifies an encoding method to use for characters that are not supported in XML 1.0.

key-marker

Optional. The key that you want to start listing from.

max-keys

Optional. The maximum number of keys that should be returned.
prefix

Optional. Limit response to keys with this prefix.

PATH VARIABLES

bucket

Required. The name of the bucket

Example Request

curl --location 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/'

Example Response

200 OK

Body

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ListBucketResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <Contents>
        <ETag>"85f30635602dc09bd85957a6e82a2c21"</ETag>
        <Key>object-1</Key>
        <LastModified>2022-01-28T23:24:07.000Z</LastModified>
        <Owner>
            <ID>15f935cf4dcb</ID>
            <DisplayName></DisplayName>
        </Owner>
        <Size>11</Size>
        <StorageClass>STANDARD</StorageClass>
    </Contents>
    <Contents>
        <ETag>"85f30635602dc09bd85957a6e82a2c21"</ETag>
        <Key>object-2</Key>
        <LastModified>2022-01-28T23:25:45.000Z</LastModified>
        <Owner>
            <ID>15f935cf4dcb</ID>
            <DisplayName></DisplayName>
        </Owner>
        <Size>11</Size>
        <StorageClass>STANDARD</StorageClass>
    </Contents>
    <IsTruncated>false</IsTruncated>
    <MaxKeys>1000</MaxKeys>
    <Name>my-bucket-name</Name>
    <Prefix></Prefix>
    <Marker></Marker>
</ListBucketResult>


Headers (8)

x-amz-request-id699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Cache-Control

max-age=0, no-cache, no-store

Content-Type

application/xml

Content-Length

1358

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?